%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary: Keyring and password manager for the GNOME desktop
Name: gnome-keyring
Version: 0.4.3
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/%{name}-%{version}.tar.bz2
URL: http://www.gnome.org/
License: GPL/LGPL
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk2-devel >= 2.4.0

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package -n %{lib_name}
Group: System/Libraries
Summary: Library for integration with the gnome keyring system
Requires: %{name} >= %{version}-%{release}

%description -n %{lib_name}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%package -n %{lib_name}-devel
Group: Development/C
Summary: Library for integration with the gnome keyring system
Requires: %{lib_name} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS TODO COPYING
%{_bindir}/gnome-keyring-daemon
%_libexecdir/gnome-keyring-ask

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgnome-keyring.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc file-format.txt COPYING.LIB
%{_libdir}/libgnome-keyring.so
%{_libdir}/libgnome-keyring.la
%{_includedir}/gnome-keyring-1/gnome-keyring.h
%{_libdir}/pkgconfig/gnome-keyring-1.pc

%changelog
* Thu Sep 01 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-2mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- reenable libtoolize
- New release 0.4.2

* Tue Jan 11 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- New release 0.4.1

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- New release 0.4.0

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- new version

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.0-1mdk
- initial package (from Gtz Waschk)

